/*
 * 2D Game Engine 
 * Collision.h: 
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 16/02/2021.
 */

#ifndef GAMEENGINE_SOURCE_INCLUDE_EVENTS_COLLISION_H
#define GAMEENGINE_SOURCE_INCLUDE_EVENTS_COLLISION_H

#include <Event.h>

class CollisionEvent : public Event
{
public:
    Entity a;
    Entity b;
    CollisionEvent(Entity a, Entity b) : a(a), b(b) {};
};

#endif /* GAMEENGINE_SOURCE_INCLUDE_EVENTS_COLLISION_H */
