/*
 * 2D Game Engine 
 * KeyPressed.h: 
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 16/02/2021.
 */

#ifndef GAMEENGINE_SOURCE_INCLUDE_EVENTS_KEYPRESSED_H
#define GAMEENGINE_SOURCE_INCLUDE_EVENTS_KEYPRESSED_H

#include <stdint.h>

#include <SDL.h>

#include <Event.h>

class KeyPressedEvent : public Event
{
public:
    SDL_Keycode keyCode;
    explicit KeyPressedEvent(SDL_Keycode keyCode) : keyCode(keyCode) {};
};

#endif /* GAMEENGINE_SOURCE_INCLUDE_EVENTS_KEYPRESSED_H */
